Core API
STATUS
Get WhatsApp Status
GET
https://gateway.zorya.com
/api/v1/WhatsApp/messages/status/{transactionId}
This endpoint allows you to retrieve the delivery status and processing information of a previously sent WhatsApp message by using its unique transactionId.
Request Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
transactionId | UUID | Unique identifier of transaction message | Yes |
⚠️ Note: Make sure the transactionId corresponds to a valid message.
Response Parameters
| Field | Type | Description |
|---|---|---|
transactionId | String | Unique identifier of transaction message |
msisdn | String | Phone number to which the message was sent |
updateDate | String | Timestamp of the last status update for the message |
messageStatusId | Integer | Internal ID representing the current message status |
descriptionStatus | String | Description of the current status of the message |